Category: Vectors

Pull Request or Patch supplied:No Resolution: duplicate

Easy fix?: No Copied to github as #: 11479

Description

In practice, often more then one field is necessary to be labeld in multilines

Is it possible to realize this function?

For idea:

In Layer properities, Symbology, [[LegendType]], youu can choose "Uniqe value" an then you can add classes to show different styles

depend of the content of fields

The same classification should be good for the labeling.

History

#1 - 2009-11-19 03:52 PM - Jürgen Fischer

see also #2124

#2 - 2009-11-19 04:04 PM - Jürgen Fischer

see also #2087

#3 - 2011-05-04 12:14 AM - Sandro Santilli

Could "multiple labels" as described in ticket #3796 be a solution for this as well ?

#4 - 2011-05-04 12:56 AM - Alister Hood

No.  That is for situations where you want to put different labels in different places.  This is for situations where you want to create one label from several

fields, e.g. you might want to create a label for a manhole that lists its name, diameter, lid level, and invert level:

MH2

1050Ø

LL 6.8

IL 4.2

You certainly wouldn't want to have these as four different labels around the same point, and you wouldn't want to use four different labels with fixed offsets

(especially if some of the information is missing sometimes), and it would be annoying having to set up four sets of labels anyway.
#5 - 2011-05-04 12:58 AM - Alister Hood

That should have looked something like this :)

MH2

1050Ø

LL 6.8

IL 4.2

#6 - 2011-05-04 02:42 AM - Sandro Santilli

agreed, this one has its own merit (I just had one such use case)

#7 - 2011-07-14 02:41 AM - Borys Jurgiel

- Assignee deleted (nobody -)

see also #3488 (and #3843 )

#8 - 2011-08-28 06:57 PM - Aren Cambre

- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

- Resolution set to duplicate

I'm gonna be bold and say that #3488 is an elegant solution to this issue. As #3488 is more specific and has actual progress, it may be best to go with that

one.
